#include "shellscrollbar.h"
#include "sparrowshell.h"
#include "mesh.h"
#include "phongmaterial.h"
#include "scene/meshnode.h"
#include "tools/utils.h"
#include <iostream>

void ShellScrollBar::update(){
    m_position.y = m_shell->getPosition().y;
    m_dimension.y = m_shell->getDimension().y;

    float cran = ((float)m_shell->getDimension().y/(float)m_shell->getBuffer()->size());
    int indexCursor = m_shell->getBuffer()->size()-(m_shell->getIndex()+SparrowShell::BUFFER_DISPLAYED_NUMBER);
    glm::ivec2 new_pos((int)m_position.x, (int) cran * indexCursor);

/*    if (m_shell->isBufferResized()){
        glm::ivec2 new_dim(m_dimension.x,(int)(cran * SparrowShell::BUFFER_DISPLAYED_NUMBER));
        utils::resize2D(m_mesh,m_dimension,new_dim);
    }
    if (m_shell->isBufferResized() || m_shell->indexMoved())
        utils::setPosition2D(m_mesh,new_pos);*/
}
